Incoming Publication References

Returns Reference Objects pointing to this document from other publications.

GET/api/2026-03/documents/{documentId}/incomingDocumentReferences
public-api:read
Latest version (since 2026-01)

Path Parameters

ParameterTypeDescription
documentId*
integer

Query Parameters

Query String

Passed as URL query string. Comma-separated values for arrays (e.g. ?contentTypes=regular,author).

ParameterTypeDescription
limit
integer

A limit for how much published documents to retrieve. Defaults to 100. Max. 100.

offset
integer

An offset into the query. Useful when getting more than 100 results (pagination).

after
string

The cursor provided in the response can be passed back for pagination instead of using offset.

Description

This endpoint returns all publications which link to this document (via content or metadata)

The example below finds a reference to ID 1 when requesting for incomingDocumentReference with ID 2.

{{< img src="publications/references.png" alt="Component Property" >}}

Use Cases

  • Find publications that link to this document for cache invalidation
warning
- Eventual Consistency of Reference because of the usage of Elasticsearch - It is not supported to find publications in a Document List put on another document.

Responses

⌘ K to search